/**
 * Created by amin on 9/6/16.
 */

exports.NasimBot = require("./lib/ir/elenoon/botplatform/layers/implementation/NasimBot").NasimBot;

/**Message models*/
exports.TextMessage = require("./lib/ir/elenoon/botplatform/models/message/TextMessage").TextMessage;
exports.FileMessage = require("./lib/ir/elenoon/botplatform/models/message/FileMessage").FileMessage;
exports.PhotoMessage = require("./lib/ir/elenoon/botplatform/models/message/PhotoMessage").PhotoMessage;
exports.VideoMessage = require("./lib/ir/elenoon/botplatform/models/message/VideoMessage").VideoMessage;
exports.AudioMessage = require("./lib/ir/elenoon/botplatform/models/message/AudioMessage").AudioMessage;
// template messages
exports.TemplateMessage = require("./lib/ir/elenoon/botplatform/models/message/template/TemplateMessage").TemplateMessage;
exports.SimpleTemplate = require("./lib/ir/elenoon/botplatform/models/message/template/SimpleTemplate").SimpleTemplate;
exports.ButtonElement = require("./lib/ir/elenoon/botplatform/models/message/template/ButtonElement").ButtonElement;

exports.User = require("./lib/ir/elenoon/botplatform/models/User").User;
exports.Group = require("./lib/ir/elenoon/botplatform/models/Group").Group;

/** Conversation models */
exports.Conversation = require("./lib/ir/elenoon/botplatform/utils/Conversation").Conversation;

exports.Logger = require("./lib/ir/elenoon/botplatform/utils/Logger").Logger;

/** Sensitives **/
exports.PhotoMessageSensitive = require("./lib/ir/elenoon/botplatform/utils/sensitive/PhotoMessageSensitive").PhotoMessageSensitive;
exports.FileMessageSensitive = require("./lib/ir/elenoon/botplatform/utils/sensitive/FileMessageSensitive").FileMessageSensitive;
exports.TextMessageSensitive = require("./lib/ir/elenoon/botplatform/utils/sensitive/TextMessageSensitive").TextMessageSensitive;

/** Requests **/
exports.GetKeysRequest = require("./lib/ir/elenoon/botplatform/models/clientMessages/GetKeysRequest").GetKeysRequest;
exports.SetValueRequest = require("./lib/ir/elenoon/botplatform/models/clientMessages/SetValueRequest").SetValueRequest;
exports.GetValueRequest = require("./lib/ir/elenoon/botplatform/models/clientMessages/GetValueRequest").GetValueRequest;
exports.DeleteValueRequest = require("./lib/ir/elenoon/botplatform/models/clientMessages/DeleteValueRequest").DeleteValueRequest;