/**
 * Created by amin on 5/3/16.
 */
"use strict";
class ApiConst {
}
/**
 * The url to the Nasim webservice
 * @type {string}
 */
ApiConst.BASE_API_URL = "wss://nasim-storage.elenoon.ir/v1/bots/";
/**
 * Services in Nasim bot api
 * @type {{Messaging: string; File: string}}
 */
ApiConst.Services = {
    Messaging: 'messaging',
    KeyValue: 'keyvalue',
    Bots: 'bots'
};
ApiConst.ExtTypes = {
    Photo: 'Photo',
    Video: 'Video',
    Audio: 'Voice'
};
ApiConst.MessageTypes = {
    Text: 'Text',
    Documnet: 'Document',
    Sticker: 'Sticker',
    Template: 'TemplateMessage',
    TemplateResponse: 'TemplateResponse'
};
ApiConst.GeneralMimeTypes = {
    Image: 'image',
    Audio: 'audio',
    Video: 'video'
};
exports.ApiConst = ApiConst;
//# sourceMappingURL=ApiConst.js.map